🧮 USERS:1 FEEDS:2 TWTS:193 ARCHIVED:29767 CACHE:1552 FOLLOWERS:13 FOLLOWING:14
now glued to their screen, the user softens, melts, becomes one with the net. not long and their bones are a distant memory (#InvisibleNetworks, day 1)
🧮 USERS:1 FEEDS:2 TWTS:192 ARCHIVED:29750 CACHE:1552 FOLLOWERS:13 FOLLOWING:14
It’s Friday. Here’s 12 funny, nerdy pictures about computers.
Ok. 11 pictures about programming and computers… 1 picture about Ninja Turtles. Because I’m a child. ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:191 ARCHIVED:29712 CACHE:1558 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:190 ARCHIVED:29679 CACHE:1557 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:189 ARCHIVED:29666 CACHE:1566 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:188 ARCHIVED:29630 CACHE:1557 FOLLOWERS:13 FOLLOWING:14
Hiring: Software Engineer (Go, 100% Remote, 190k)
1 points posted by golangch ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:187 ARCHIVED:29586 CACHE:1571 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:186 ARCHIVED:29536 CACHE:1571 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:185 ARCHIVED:29504 CACHE:1591 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:184 ARCHIVED:29479 CACHE:1597 FOLLOWERS:13 FOLLOWING:14
Hiring: Senior Golang Engineer (Remote - US PDT)
1 points posted by golangch ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:183 ARCHIVED:29415 CACHE:1598 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:182 ARCHIVED:29376 CACHE:1619 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:181 ARCHIVED:29313 CACHE:1609 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:180 ARCHIVED:29291 CACHE:1613 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:179 ARCHIVED:29261 CACHE:1606 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:178 ARCHIVED:29230 CACHE:1606 FOLLOWERS:13 FOLLOWING:14
Code: New version of oppinionated Ansible role to install Golang (with 1.18)
1 points posted by Sascha Andres ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:177 ARCHIVED:29184 CACHE:1600 FOLLOWERS:13 FOLLOWING:14
Mastering Go #gotime href=”https://we.loveprivacy.club/search?q=%23podcast”>#podcast**
1 points posted by tomf ⌘ Read more
Image rebase and improved remote cache support in new BuildKit
We’ve just shipped new versions of the BuildKit builder engine, Dockerfile 1.4 frontend, and Docker We’ve just shipped new versions of the BuildKit builder engine, Dockerfile 1.4 frontend, and Docker Buildx CLI. Each of these comes with many new features. In this blog post, I’ll show one of them, a new copy mode in Dockerfiles, […]
The post [Image rebase and improved remote cache support in new BuildKit](https://w … ⌘ Read more
@novaburst@twt.nfld.uk I doubt there will ever be a 2.0 … It may end up like java and they strip off the 1.
**
FOLLOW: @venjiang from @xandkar@xandkar.net using tt/0.31.1
**
FOLLOW: @venjiang from @xandkar @xandkar.net using tt/0.31.1 ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:176 ARCHIVED:28545 CACHE:1331 FOLLOWERS:13 FOLLOWING:14
#!/bin/sh
# Validate environment
if ! command -v msgbus > /dev/null; then
printf "missing msgbus command. Use: go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
exit 1
fi
if ! command -v salty > /dev/null; then
printf "missing salty command. Use: go install go.mills.io/salty/cmd/salty@latest"
exit 1
fi
if ! command -v salty-keygen > /dev/null; then
printf "missing salty-keygen command. Use: go install go.mills.io/salty/cmd/salty-keygen@latest"
exit 1
fi
if [ -z "$SALTY_IDENTITY" ]; then
export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi
get_user () {
user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
if [ -z "$user" ]; then
user="$USER"
fi
echo "$user"
}
stream () {
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}
lookup () {
if [ $# -lt 1 ]; then
printf "Usage: %s nick@domain\n" "$(basename "$0")"
exit 1
fi
user="$1"
nick="$(echo "$user" | awk -F@ '{ print $1 }')"
domain="$(echo "$user" | awk -F@ '{ print $2 }')"
curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}
readmsgs () {
topic="$1"
if [ -z "$topic" ]; then
topic=$(get_user)
fi
export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
if [ ! -f "$SALTY_IDENTITY" ]; then
echo "identity file missing for user $topic" >&2
exit 1
fi
msgbus sub "$topic" "$0"
}
sendmsg () {
if [ $# -lt 2 ]; then
printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
exit 0
fi
if [ -z "$SALTY_IDENTITY" ]; then
echo "SALTY_IDENTITY not set"
exit 2
fi
user="$1"
message="$2"
salty_json="$(mktemp /tmp/salty.XXXXXX)"
lookup "$user" > "$salty_json"
endpoint="$(jq -r '.endpoint' < "$salty_json")"
topic="$(jq -r '.topic' < "$salty_json")"
key="$(jq -r '.key' < "$salty_json")"
rm "$salty_json"
message="[$(date +%FT%TZ)] <$(get_user)> $message"
echo "$message" \
| salty -i "$SALTY_IDENTITY" -r "$key" \
| msgbus -u "$endpoint" pub "$topic"
}
make_user () {
mkdir -p "$HOME/.config/salty"
if [ $# -lt 1 ]; then
user=$USER
else
user=$1
fi
identity_file="$HOME/.config/salty/$user.key"
if [ -f "$identity_file" ]; then
printf "user key exists!"
exit 1
fi
# Check for msgbus env.. probably can make it fallback to looking for a config file?
if [ -z "$MSGBUS_URI" ]; then
printf "missing MSGBUS_URI in environment"
exit 1
fi
salty-keygen -o "$identity_file"
echo "# user: $user" >> "$identity_file"
pubkey=$(grep key: "$identity_file" | awk '{print $4}')
cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json
{
"endpoint": "$MSGBUS_URI",
"topic": "$user",
"key": "$pubkey"
}
EOF
}
# check if streaming
if [ ! -t 1 ]; then
stream
exit 0
fi
# Show Help
if [ $# -lt 1 ]; then
printf "Commands: send read lookup"
exit 0
fi
CMD=$1
shift
case $CMD in
send)
sendmsg "$@"
;;
read)
readmsgs "$@"
;;
lookup)
lookup "$@"
;;
make-user)
make_user "$@"
;;
esac
;-) I seem to remember there being g a script that checks for 1.17. Maybe that is only on make preflight
promcheck - A tool to identify faulty Prometheus rules written in Go
1 points posted by cbrgm ⌘ Read more
Hiring: Senior Go Engineer (Remote)
1 points posted by golangch ⌘ Read more
Go 1.18 Released
1 points posted by johnsiilver ⌘ Read more
@prologic@twtxt.net yarn builds in 1.18!
🧮 USERS:1 FEEDS:2 TWTS:175 ARCHIVED:28444 CACHE:1319 FOLLOWERS:13 FOLLOWING:14
Only 14% of Canadians “strongly approve” of Trudeau’s pandemic response: poll
v2.11.1 ⌘ Read more
Trudeau, Freeland met with Ukrainian neo-Nazi party cofounder
Testing Generics in Go
1 points posted by Elton Minetto ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:174 ARCHIVED:28367 CACHE:1308 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:173 ARCHIVED:28300 CACHE:1294 FOLLOWERS:13 FOLLOWING:14
update-golang 0.24 - easily fetch and install new Golang releases
update-golang is a script to easily fetch and install new Golang releases with minimum system intrusion.
When you need to quickly boot up a Golang binary release into a system.
The script can automatically detect the latest Golang release.
This release updates the URL for retrieving Go release list.
Full details: https://github.com/udhos/update-golang 1 point … ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:172 ARCHIVED:28195 CACHE:1267 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:171 ARCHIVED:28142 CACHE:1221 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:170 ARCHIVED:28094 CACHE:1187 FOLLOWERS:13 FOLLOWING:14
MailDex Email Manager Updated to Version 1.5.50 ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:169 ARCHIVED:28023 CACHE:1275 FOLLOWERS:13 FOLLOWING:14
pronouns/main
Share your personal pronouns and stay updated on your friends’ pronouns. Pronouny allows you to update your pronouns and send alerts to your friends.
Language: JavaScript
Star: 37
Watch: 37 ⌘ Read more
🧮 USERS:1 FEEDS:2 TWTS:168 ARCHIVED:27961 CACHE:1282 FOLLOWERS:13 FOLLOWING:14
🧮 USERS:1 FEEDS:2 TWTS:167 ARCHIVED:27885 CACHE:1281 FOLLOWERS:13 FOLLOWING:14